Liferay.Loader.define("frontend-js-web@1.0.83/liferay/DynamicInlineScroll.es", ['exports', 'metal/src/metal', 'metal-dom/src/all/dom', 'metal-events/src/events', './PortletBase.es'], function (exports, _metal, _dom, _events, _PortletBase2) {
	'use strict';

	Object.defineProperty(exports, "__esModule", {
		value: true
	});

	var _metal2 = _interopRequireDefault(_metal);

	var _dom2 = _interopRequireDefault(_dom);

	var _PortletBase3 = _interopRequireDefault(_PortletBase2);

	function _interopRequireDefault(obj) {
		return obj && obj.__esModule ? obj : {
			default: obj
		};
	}

	function _classCallCheck(instance, Constructor) {
		if (!(instance instanceof Constructor)) {
			throw new TypeError("Cannot call a class as a function");
		}
	}

	var _createClass = function () {
		function defineProperties(target, props) {
			for (var i = 0; i < props.length; i++) {
				var descriptor = props[i];
				descriptor.enumerable = descriptor.enumerable || false;
				descriptor.configurable = true;
				if ("value" in descriptor) descriptor.writable = true;
				Object.defineProperty(target, descriptor.key, descriptor);
			}
		}

		return function (Constructor, protoProps, staticProps) {
			if (protoProps) defineProperties(Constructor.prototype, protoProps);
			if (staticProps) defineProperties(Constructor, staticProps);
			return Constructor;
		};
	}();

	function _possibleConstructorReturn(self, call) {
		if (!self) {
			throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
		}

		return call && (typeof call === "object" || typeof call === "function") ? call : self;
	}

	var _get = function get(object, property, receiver) {
		if (object === null) object = Function.prototype;
		var desc = Object.getOwnPropertyDescriptor(object, property);

		if (desc === undefined) {
			var parent = Object.getPrototypeOf(object);

			if (parent === null) {
				return undefined;
			} else {
				return get(parent, property, receiver);
			}
		} else if ("value" in desc) {
			return desc.value;
		} else {
			var getter = desc.get;

			if (getter === undefined) {
				return undefined;
			}

			return getter.call(receiver);
		}
	};

	function _inherits(subClass, superClass) {
		if (typeof superClass !== "function" && superClass !== null) {
			throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
		}

		subClass.prototype = Object.create(superClass && superClass.prototype, {
			constructor: {
				value: subClass,
				enumerable: false,
				writable: true,
				configurable: true
			}
		});
		if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
	}

	var DynamicInlineScroll = function (_PortletBase) {
		_inherits(DynamicInlineScroll, _PortletBase);

		function DynamicInlineScroll() {
			_classCallCheck(this, DynamicInlineScroll);

			return _possibleConstructorReturn(this, (DynamicInlineScroll.__proto__ || Object.getPrototypeOf(DynamicInlineScroll)).apply(this, arguments));
		}

		_createClass(DynamicInlineScroll, [{
			key: 'created',
			value: function created() {
				this.eventHandler_ = new _events.EventHandler();
			}
		}, {
			key: 'attached',
			value: function attached() {
				var rootNode = this.rootNode;


				rootNode = rootNode || document;

				this.eventHandler_.add(_dom2.default.delegate(rootNode, 'scroll', 'ul.pagination ul.inline-scroller', this.onScroll_.bind(this)));
			}
		}, {
			key: 'detached',
			value: function detached() {
				_get(DynamicInlineScroll.prototype.__proto__ || Object.getPrototypeOf(DynamicInlineScroll.prototype), 'detached', this).call(this);

				this.eventHandler_.removeAllListeners();
			}
		}, {
			key: 'addListItem_',
			value: function addListItem_(listElement, pageIndex) {
				var listItem = document.createElement('li');

				_dom2.default.append(listItem, '<a href="' + this.getHREF_(pageIndex) + '">' + pageIndex + '</a>');

				pageIndex++;

				listElement.appendChild(listItem);
				listElement.setAttribute('data-page-index', pageIndex);

				this.eventHandler_.add(_dom2.default.on(listItem, 'click', this.handleListItemClick_.bind(this)));
			}
		}, {
			key: 'getHREF_',
			value: function getHREF_(pageIndex) {
				var curParam = this.curParam,
				    formName = this.formName,
				    jsCall = this.jsCall,
				    namespace = this.namespace,
				    url = this.url,
				    urlAnchor = this.urlAnchor;


				if (this.url !== null) {
					return '' + url + namespace + curParam + '=' + pageIndex + urlAnchor;
				}

				return 'javascript:document.' + formName + '.' + namespace + curParam + '.value = "' + pageIndex + '; ' + jsCall;
			}
		}, {
			key: 'getNumber_',
			value: function getNumber_(val) {
				return Number(val);
			}
		}, {
			key: 'handleListItemClick_',
			value: function handleListItemClick_(event) {
				if (this.forcePost) {
					event.preventDefault();

					var curParam = this.curParam,
					    namespace = this.namespace,
					    randomNamespace = this.randomNamespace;


					var form = document.getElementById(randomNamespace + namespace + 'pageIteratorFm');

					form.elements[namespace + curParam].value = event.currentTarget.textContent;

					form.submit();
				}
			}
		}, {
			key: 'onScroll_',
			value: function onScroll_(event) {
				var cur = this.cur,
				    initialPages = this.initialPages,
				    pages = this.pages;
				var target = event.target;


				var pageIndex = this.getNumber_(target.getAttribute('data-page-index'));
				var pageIndexMax = this.getNumber_(target.getAttribute('data-max-index'));

				if (pageIndex === 0) {
					var pageIndexCurrent = this.getNumber_(target.getAttribute('data-current-index'));

					if (pageIndexCurrent === 0) {
						pageIndex = initialPages;
					} else {
						pageIndex = pageIndexCurrent + initialPages;
					}
				}

				if (pageIndexMax === 0) {
					pageIndexMax = pages;
				}

				if (cur <= pages && pageIndex < pageIndexMax && target.getAttribute('scrollTop') >= target.getAttribute('scrollHeight') - 300) {
					this.addListItem_(target, pageIndex);
				}
			}
		}]);

		return DynamicInlineScroll;
	}(_PortletBase3.default);

	/**
  * State definition.
  * @ignore
  * @static
  * @type {!Object}
  */

	DynamicInlineScroll.STATE = {

		/**
   * Current page
   * @instance
   * @memberof DynamicInlineScroll
   * @type {string}
   */

		cur: {
			setter: 'getNumber_',
			validator: _metal2.default.isString
		},

		/**
   * URL parameter for current page
   * @instance
   * @memberof DynamicInlineScroll
   * @type {string}
   */

		curParam: {
			validator: _metal2.default.isString
		},

		/**
   * Forces a form post when a page on the dropdown menu is clicked
   * @instance
   * @memberof DynamicInlineScroll
   * @type {boolean}
   */

		forcePost: {
			validator: _metal2.default.isBoolean
		},

		/**
   * Form name
   * @instance
   * @memberof DynamicInlineScroll
   * @type {string}
   */

		formName: {
			validator: _metal2.default.isString
		},

		/**
   * Number of pages loaded to the inline-scroll dropdown menu for the first
   * page load
   * @instance
   * @memberof DynamicInlineScroll
   * @type {string}
   */

		initialPages: {
			setter: 'getNumber_',
			validator: _metal2.default.isString
		},

		/**
   * JavaScript call
   * @instance
   * @memberof DynamicInlineScroll
   * @type {string}
   */

		jsCall: {
			validator: _metal2.default.isString
		},

		/**
   * Namespace
   * @instance
   * @memberof DynamicInlineScroll
   * @type {string}
   */

		namespace: {
			validator: _metal2.default.isString
		},

		/**
   * Total number of pages
   * @instance
   * @memberof DynamicInlineScroll
   * @type {string}
   */

		pages: {
			setter: 'getNumber_',
			validator: _metal2.default.isString
		},

		/**
   * Random namespace
   * @instance
   * @memberof DynamicInlineScroll
   * @type {string}
   */

		randomNamespace: {
			validator: _metal2.default.isString
		},

		/**
   * URL
   * @instance
   * @memberof DynamicInlineScroll
   * @type {string}
   */

		url: {
			validator: _metal2.default.isString
		},

		/**
   * URL anchor
   * @instance
   * @memberof DynamicInlineScroll
   * @type {string}
   */

		urlAnchor: {
			validator: _metal2.default.isString
		}
	};

	exports.default = DynamicInlineScroll;
});
//# sourceMappingURL=DynamicInlineScroll.es.js.map
